## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 18;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           czmq
Version:        4.2.1
Release:        %autorelease
Summary:        High-level C binding for 0MQ (ZeroMQ)

License:        MPLv2.0
URL:            http://czmq.zeromq.org
Source0:        https://github.com/zeromq/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libuuid-devel
BuildRequires:  pkgconfig(libzmq)
# --with-docs
BuildRequires:  perl-interpreter
BuildRequires:  perl(File::Basename)
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  gcc-c++ cmake

%description
CZMQ has the following goals:
  i) To wrap the ZeroMQ core API in semantics that are natural and lead to
     shorter, more readable applications.
 ii) To hide the differences between versions of ZeroMQ.
iii) To provide a space for development of more sophisticated API semantics.


%package devel
Summary:        Development files for the czmq package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains files needed to develop applications using czmq.


%prep
%autosetup -p1

%build
# As of August 2021, the CMake build does not generate
# the documentation (man pages).
%configure --with-docs
%make_build

# Override the binary objects genrated by Autotools with CMake-built ones
%cmake -DCZMQ_BUILD_STATIC:BOOL=OFF
%cmake_build

%install
# For the doc and zproject - But it installs everything
%make_install install-dist_apiDATA

rm -f %{buildroot}%{_libdir}/libczmq.{a,la}

# Override the installation with CMake-build
%cmake_install

%check
#%%ctest


%files
%doc AUTHORS NEWS LICENSE
%{_libdir}/*.so.4*

%files devel
%doc CONTRIBUTING.md README.md
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/%{name}/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*
%{_datarootdir}/zproject/

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Oct 22 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-16
- Rebuild for ZeroMQ 4.3.5

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 28 2022 Troy Dawson <tdawson@redhat.com> - 4.2.1-12
- Remove package.cfg; Part of epel8-playground decommission

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-10
- De-activated the tests (as, for some reason, they are failing on Koji

* Sat Aug 07 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-9
- Added missing gcc-c++ dependency

* Sat Aug 07 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-8
- Re-enabled ctest

* Sat Aug 07 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-7
- Added CMake build to avoid RPATH issue - BZ#1987416

* Sat Aug 07 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-6
- Added more GNU Autotools dependencies (to fix the RPATH issue)

* Sat Aug 07 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-5
- Added missing build dependency

* Sat Aug 07 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-4
- Fixed the QA rpath issue - BZ#1987416

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Feb 01 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-2
- Fixed the changelog

* Mon Feb 01 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.1-1
- Upstream upgrade (to 4.2.1)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> - 4.2.0-8
- Add BuildRequires: make

* Mon Aug 10 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.0-7
- Added dependency on perl(File::Basename)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 31 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.0-3
- Merged with EPEL 8 version: upgrade to 4.2.0

* Thu Oct 31 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.0-2
- Initial build for EPEL 8

* Sun Oct 27 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.0-1
- Initial build for EPEL 8

* Sun Oct 27 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.1.1-4
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
